PATH_TO_PYTEKKOTSU = r"c:\aibo\pytekkotsu"
import sys
sys.path.append(PATH_TO_PYTEKKOTSU)

import motion
from os import listdir, getcwd

prefix = raw_input("Prefix for posture files (e.g. kick for kick01, kick02, ...)\n")
advtime = raw_input("Advance time (default 150)? ")

files = [f for f in listdir(getcwd()) if f.lower().endswith(".pos") and f.lower().startswith(prefix)]

motion.pos2mot(files, prefix+".mot", advtime=advtime)
