from pytekkotsu import Aibo
from time import sleep

global r

def connect():
    return Aibo.AiboRobot("192.168.0.42")

def run():
    while True:
        if r.getButton("head") > 0.1:
            #this is to touch the head button to go up and kick the ball
            r.playPos(r"red01.pos")
            sleep(1.0)
            r.setTargetVelocity(1.0, 0.0, 0.0)
            sleep(1.0)
            r.setJoint("head roll", 0.78)
            sleep(1.0)
            r.setJoint("head tilt", -1.3)
            sleep(1.0)
            r.playMot("myhowl")
            sleep(3.5)
            r.playMot("jimhowl")
            r.playSound("howl")
        elif r.getButton("body front") > 0.1:
            #the front button touch is to do a celebration
            r.playPos(r"red01.pos")
            sleep(1.0)            
            r.setTargetVelocity(0.0, 0.0, 0.4)
            sleep(3.75)
            r.playMot("howl")
            sleep(3.75)
            r.playSound("3yips")
            r.playMot("sd")
            sleep(1.75)
            r.playMot("dd6")
            sleep(1.0)
            r.playMot("dd6")
            sleep(1.0)
            r.playMot("dd5")
            sleep(4.0)
            r.playSound("barkhigh")
            r.playMot("return")
        sleep(0.3)

    

if __name__ == "__main__":
    r = connect()
    run()